Skip to main content
GET
/
v1
/
alerts
/
{id}
/
deliveries
cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
  "https://api.particle.pro/v1/alerts/{id}/deliveries?limit=25"
{
  "data": [
    {
      "alert_id": "<string>",
      "channel": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "match_count": 123,
      "matches": [
        {
          "detected_at": "2023-11-07T05:31:56Z",
          "entity_id": "<string>",
          "entity_type": "<string>",
          "id": "<string>",
          "mention_count": 123,
          "source_id": "<string>",
          "source_type": "<string>"
        }
      ],
      "monitor_id": "<string>",
      "status": "<string>",
      "error_message": "<string>",
      "sent_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "cursor": "<string>"
}

Authorizations

X-API-Key
string
header
required

Pass your API key in the X-API-Key header (recommended).

Path Parameters

id
string
required

Alert ID

Query Parameters

limit
integer<int64>
default:25

Results per page

Required range: 1 <= x <= 100
cursor
string

Opaque pagination cursor from previous response

Response

OK

data
object[] | null
required

List of results

has_more
boolean
required

Whether more results exist

cursor
string

Pass to next request for more results